# Welcome to Jina!

Jina is a neural search framework that allows anyone to build SOTA & scalable deep learning search applications in minutes.

1. Make sure that you have Python 3.7+ installed on Linux/MacOS.
2. Install Jina: ``pip install jina``
3. Run hello-world demos: ``jina hello fashion``
4. That’s it! In the next few seconds the demo will open in a new page in your browser.

Now that you’re set up, let’s dive into more of how Jina works and how to build great apps.

## Next Steps

:::::{grid} 2
:gutter: 3


::::{grid-item-card} {octicon}`smiley;1.5em` Play 3 Hello World
:link: get-started/hello-world/index
:link-type: doc

Try Jina on fashion image search, QA chatbot and multimodal search.

::::

::::{grid-item-card} {octicon}`book;1.5em` Understand Basics
:link: fundamentals/concepts
:link-type: doc

Document, Executor, and Flow are the three fundamental concepts in Jina.

::::

::::{grid-item-card} {octicon}`package-dependents;1.5em` Share Executors
:link: advanced/hub/index
:link-type: doc

Learn how to share and reuse Executors from community.

::::


::::{grid-item-card} {octicon}`workflow;1.5em`  Manage Remote Jina 
:link: advanced/daemon/index
:link-type: doc

Learn how to deploy and manage Jina on remote via a RESTful interface.
::::


::::{grid-item-card} {octicon}`thumbsup;1.5em` Clean & Efficient Code 
:link: fundamentals/clean-code
:link-type: doc

Write beautiful & lean code with Jina.
::::

::::{grid-item-card} {octicon}`beaker;1.5em` Try Experimental Features
:link: advanced/experimental/index
:link-type: doc

Preview the next big thing we are building. Careful, zapping!
::::

::::{grid-item-card} {octicon}`gift;1.5em` Get yourself Jina swag
:link: https://jina.ai/blog/swag/

Awesome swag to our awesome contributors (aka you)!
::::

:::::

## Join the community

- Join our 1.3K+ members [Slack community](https://slack.jina.ai) to chat to our engineers about your use cases, questions, and
  support queries.
- Join our [Engineering All Hands](https://youtube.com/playlist?list=PL3UBBWOUVhFYRUa_gpYYKBqEAkO4sxmne) meet-up to discuss your use case and learn Jina's new features.
    - **When?** The second Tuesday of every month
    - **Where?**
      Zoom ([see our public events calendar](https://calendar.google.com/calendar/embed?src=c_1t5ogfp2d45v8fit981j08mcm4%40group.calendar.google.com&ctz=Europe%2FBerlin)/[.ical](https://calendar.google.com/calendar/ical/c_1t5ogfp2d45v8fit981j08mcm4%40group.calendar.google.com/public/basic.ics))
      and [live stream on YouTube](https://youtube.com/c/jina-ai)
- Subscribe to the latest video tutorials on our [YouTube channel](https://youtube.com/c/jina-ai)


```{toctree}
:caption: Get started
:hidden:

get-started/neural-search
get-started/install
get-started/hello-world/index
```

```{toctree}
:caption: Fundamentals
:hidden:

fundamentals/concepts
fundamentals/document/index
fundamentals/executor/index
fundamentals/flow/index
fundamentals/practice-your-learning
fundamentals/clean-code
```


```{toctree}
:caption: Advanced
:hidden:

advanced/hub/index
advanced/daemon/index
advanced/experimental/index
```

```{toctree}
:caption: Developer Reference
:hidden:
:maxdepth: 1

api/jina
cli/index
proto/index
```

```{toctree}
:caption: Support
:hidden:

Issue tracker <https://github.com/jina-ai/jina/issues>
Slack community <https://slack.jina.ai>
Youtube <http://youtube.com/c/jina-ai>
Twitter @JinaAI_ <https://twitter.com/JinaAI_>
LinkedIn <https://www.linkedin.com/company/jinaai/>
Jina AI Company <https://jina.ai>

```


---
{ref}`genindex` {ref}`modindex`

